> For the complete documentation index, see [llms.txt](https://docs.rome.builders/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.rome.builders/ko/rome-1/bridge-api.md).

# Rome Bridge

Rome Bridge — 보관 키가 없는 독립형 브리지이자 통합 가능한 API.

Rome Bridge는 두 가지입니다: 하나는 **독립형 브리지** Rome과 7개의 EVM 체인 및 Solana 사이의 브리지, 그리고 **브리지 API** 앱이 자체 UX에 브리징을 내장하도록 통합할 수 있습니다. CCTP v2(USDC), Solana 네이티브 레일(SOL 및 USDC), 그리고 테스트넷에서는 Wormhole(ETH를 Rome으로)로 자산을 이동합니다.

그것은 **수탁 키가 없습니다** — 정산에는 항상 사용자의 직접 서명이 필요하며, 서비스의 서명은 절대 필요하지 않습니다. API는 오케스트레이션을 수행하고 수수료를 대납할 수 있으며, 실제 브리지는 온체인에 있습니다.

## 지원되는 체인과 자산

브리지는 Rubicon(메인넷)과 Hadrian(공개 테스트넷)에서 실행됩니다. 각각 고유한 브리지 페이지와 API 호스트를 가집니다. 전송의 예상 시간은 견적에 포함되어 있습니다.

두 네트워크 모두에서, SOL과 USDC 외에도, `POST /v1/quote` 와 `asset: "SPL"` 그리고 `splAsset: {mint, decimals}` Solana 지갑과 Rome 사이의 모든 SPL 토큰에 대한 전송을 반환하며, 지갑이 반환하는 트랜잭션에 서명합니다. 토큰은 Rome에서 해당 래퍼로 도착합니다. 이 경로는 다음에 나열되어 있지 않습니다. `/v1/routes`.

### Rubicon(메인넷)

| 자산                | 레일      | 방향                     | 체인                                                      |
| ----------------- | ------- | ---------------------- | ------------------------------------------------------- |
| **USDC**          | CCTP v2 | Rome으로 들어오고 Rome에서 나가기 | Ethereum, Base, Arbitrum, Polygon, Avalanche, Monad, OP |
| **SOL**, **USDC** | Solana  | Rome으로 들어오고 Rome에서 나가기 | Solana 지갑                                               |

메인넷에는 ETH 경로가 없습니다. MetaMask의 가스 없는 모드는 CCTP 입금에 작동합니다. MetaMask의 릴레이어가 입금을 제출하면, 입금자가 견적에 명시된 송신자이고 번이 견적과 일치할 때 브리지는 이를 수락합니다. 릴레이된 트랜잭션에는 하나의 번만 포함될 수 있습니다.

CCTP로 Rome에서 USDC를 이동하면 가스용 USDC가 아니라 wUSDC 토큰이 사용되며, 전송은 목적지 체인에서의 클레임 트랜잭션으로 끝납니다. 브리지 페이지의 Wrap 탭은 한 번의 서명으로 가스를 wUSDC로 전환합니다.

라우트 목록은 [`/v1/routes`](https://bridge-api.mainnet.romeprotocol.xyz/v1/routes). [`/v1/chains`](https://bridge-api.mainnet.romeprotocol.xyz/v1/chains) Rome 체인과 해당 레지스트리 자산 및 기능을 나열합니다. 메인넷에서는 그 목록에 여전히 Wormhole과 ETH가 이름으로 표시되지만, ETH 경로는 존재하지 않습니다.

### Hadrian(테스트넷)

| 자산                | 레일       | 방향                     | 체인                                                                                                        |
| ----------------- | -------- | ---------------------- | --------------------------------------------------------------------------------------------------------- |
| **USDC**          | CCTP v2  | Rome으로 들어오고 Rome에서 나가기 | Ethereum Sepolia, Arbitrum Sepolia, Base Sepolia, Polygon Amoy, Avalanche Fuji, Monad Testnet, OP Sepolia |
| **ETH**           | Wormhole | Rome으로                 | Ethereum Sepolia                                                                                          |
| **SOL**, **USDC** | Solana   | Rome으로 들어오고 Rome에서 나가기 | Solana 지갑                                                                                                 |

실시간 집합은 항상 [`/v1/routes`](https://bridge-api.devnet.romeprotocol.xyz/v1/routes) 그리고 [`/v1/chains`](https://bridge-api.devnet.romeprotocol.xyz/v1/chains). 테스트 토큰이 필요하신가요? 다음을 참조하세요 [파우셋](https://docs.rome.builders/ko/resources/faucets.md).

## 단독으로 사용하세요

원하는 네트워크의 브리지 UI를 여세요:

* Rubicon(메인넷): [bridge-api.mainnet.romeprotocol.xyz](https://bridge-api.mainnet.romeprotocol.xyz/?chain=7531)
* Hadrian(테스트넷): [bridge-api.devnet.romeprotocol.xyz](https://bridge-api.devnet.romeprotocol.xyz/?chain=200010)

위의 `?chain=` 매개변수는 Rome 체인을 선택합니다.

## API를 통합하기

API는 공개되어 있습니다. 지원되는 체인과 레일을 나열하세요:

```bash
curl https://bridge-api.mainnet.romeprotocol.xyz/v1/chains   # Rubicon
curl https://bridge-api.devnet.romeprotocol.xyz/v1/chains    # Hadrian
```

`POST /v1/quote` 전송의 Rome이 아닌 쪽을 처리합니다 `로 설정하고`에서, 양방향 모두에서: CAIP-2 (`eip155:8453`, `solana:5eykt4UsFv8P8NJdTREpY1vzqKqZKvdp`) 또는 이전 이름들 `는 여러분의 Rome 체인입니다. 이전 이름인` / `ethereum`, 이는 여전히 다음과 함께 허용됩니다 `solana` 헤더( CAIP-2 사용). `GET /v1/routes` 매개변수를 받지 않으며 사용 가능한 전송을 나열합니다. 견적 요청:

```bash
 헤더를 표시합니다. 전체 요청 및 응답 형식은
  -H 'content-type: application/json' \
  -d '{"asset":"USDC","direction":"to-rome","sourceChain":"eip155:84532","romeChainId":"200010","amount":"1000000","sender":{"ethereum":"<your 0x address>"},"recipient":"<recipient on Rome>"}'
```

`amount` 기본 단위의 문자열입니다. USDC는 소수점 자릿수가 6이므로 `"1000000"` 는 1 USDC입니다. 응답에는 예상 시간이 `etaSeconds`에 포함됩니다. 레일 집합과 다른 필드는 엔드포인트 응답을 참조하세요.

## 정산 방식

오프체인 API는 오케스트레이터이자 수수료 대납자 역할만 합니다. 인바운드 전송은 사용자가 서명한 승인을 통해 온체인에서 정산되며, 아웃바운드 인출은 온체인 브리지 계약을 통해 진행됩니다. 어떤 단계도 사용자의 서명 없이 사용자 자금을 차감하지 않습니다.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.rome.builders/ko/rome-1/bridge-api.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
